# see https://github.com/fzaninotto/Faker#formatters
AppBundle\Entity\User\User:

    user_1:
        firstName: "John"
        lastName: "DOE"
        email: "admin@dt.dev"
        plainPassword: "admin"
        role: "ROLE_ADMIN"
        enabled: 1
        cgu: 1

    user_2:
        firstName: "Jean"
        lastName: "DEAU"
        email: "user@dt.dev"
        plainPassword: "user"
        role: "ROLE_USER"
        enabled: 1
        cgu: 1

    user_3:
        firstName: "Test"
        lastName: "CGU"
        email: "cgu@dt.dev"
        plainPassword: "cgu"
        role: "ROLE_USER"
        enabled: 1
        cgu: 0

    user_4:
        firstName: "User"
        lastName: 'Certified'
        email: 'certified@dt.dev'
        plainPassword: "certified"
        role: 'ROLE_USER_CERTIFIED'
        enabled: 1
        cgu: 1

    user_5:
        firstName: "Upper"
        lastName: "Mail"
        email: "UPPER@dt.dev"
        plainPassword: "upper"
        role: "ROLE_USER"
        enabled: 1
        cgu: 1

    user_{6..20}:
        firstName: <firstName()>
        lastName: <lastName()>
        email: <email()>
        plainPassword: <password()>
        role: <randomElement(['ROLE_USER', 'ROLE_USER_CERTIFIED'])>
        enabled: <numberBetween(0, 1)>